/* BDF - Copyright (c) 2015-2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.multi.htmlproducers;

import fr.exemole.bdfserver.html.consumers.Button;
import fr.exemole.bdfserver.html.consumers.Grid;
import fr.exemole.bdfserver.html.consumers.PageUnit;
import fr.exemole.bdfserver.multi.Multi;
import fr.exemole.bdfserver.multi.MultiConf;
import net.mapeadores.util.logging.CommandMessage;


/**
 *
 * @author Vincent Calame
 */
public class LoginMultiHtmlProducer extends MultiHtmlProducer {

    public LoginMultiHtmlProducer(Multi multi) {
        super(multi);
        addThemeCss("login.css");
    }

    @Override
    public void printHtml() {
        CommandMessage commandMessage = getCommandMessage();
        startLoc("_ title.multi.index");
        this
                .H1()
                .__localize("_ title.multi.index")
                ._H1();
        if (commandMessage != null) {
            this
                    .P("login-Text login-Subtitle")
                    .__localize(commandMessage)
                    ._P();
        }
        this
                .DIV("login-Block")
                .__(PageUnit.start("action-Login", "_ title.session.loginfieldset").sectionCss("unit-Unit login-Unit"))
                .FORM_post("")
                .__(Grid.START)
                .__(Grid.textInputRow("_ label.session.login", name(MultiConf.LOGIN_PARAM).size("20")))
                .__(Grid.passwordInputRow("_ label.session.password", name(MultiConf.PASSWORD_PARAM).size("20")))
                .__(Grid.END)
                .DIV("login-Text")
                .__(Button.submit("_ submit.session.login"))
                ._DIV()
                ._FORM()
                .__(PageUnit.END)
                ._DIV();
        end();
    }

}
