/* global OpenDocument */

/***********************************************************
 * 
 * @constructor
 * @param {String} name
 * @param {OpenDocument.Style} style
 * @param {Number} colspan
 * @param {String} defaultCellStyleName
 * @returns {OpenDocument.TableColumn}
 */
OpenDocument.TableColumn = function (name, style, colspan, defaultCellStyleName) {
    this.name = name;
    this.style = style;
    this.colspan = colspan;
    this.defaultCellStyleName = defaultCellStyleName;
};

/**
 * 
 * @param {OpenDocument.XmlWriter} xmlWriter
 * @returns {undefined}
 */
OpenDocument.TableColumn.prototype.write = function (xmlWriter) {
    xmlWriter.addTableColumn(this.name, this.colspan, this.defaultCellStyleName);
};
