/* FichothequeLib_API - Copyright (c) 2006-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.selection;

import java.util.List;
import net.fichotheque.SubsetKey;
import net.mapeadores.util.annotation.Nullable;
import net.mapeadores.util.conditions.Condition;
import net.mapeadores.util.primitives.Ranges;


/**
 *
 * @author Vincent Calame
 */
public interface MotcleQuery {

    public final static short WITHOUT_IDALPHA_SCOPE = 1;
    public final static short ONLY_IDALPHA_SCOPE = 2;
    public final static short WITH_IDALPHA_SCOPE = 3;

    public List<SubsetKey> getThesaurusKeyList();

    /**
     * null ou contient au moins un élément
     */
    @Nullable
    public Ranges getIdRanges();

    /**
     * null ou contient au moins un élément
     */
    @Nullable
    public Ranges getLevelRanges();


    @Nullable
    public Condition getContentCondition();

    public short getContentConditionScope();

    @Nullable
    public FicheCondition getFicheCondition();

    @Nullable
    public CroisementCondition getCroisementCondition();

    public boolean includeSatellites();

}
