/* FichothequeLib_API - Copyright (c) 2006-2018 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.thesaurus;

import java.util.List;
import net.fichotheque.SubsetItem;
import net.mapeadores.util.text.Labels;


/**
 * Dans le cas des thésaurus babéliens, un mot-clé doit comporter un libellé et
 * un seul.
 *
 * @author Vincent Calame
 */
public interface Motcle extends SubsetItem {

    public Thesaurus getThesaurus();

    /**
     * Retourne le parent du mot-clé ou <em>null</em> si le mot-clé appartient
     * au premier niveau.
     */
    public Motcle getParent();

    public List<Motcle> getChildList();

    public int getChildIndex();

    /**
     * Retourne l'identifiant alphanumérique du mot-clé.
     */
    public String getIdalpha();

    /**
     * Retourne le niveau du mot-clé, c'est à dire sa profondeur par rapport à
     * l'ensemble du thésaurus. Retourne 1 si le mot-clé appartient au premier
     * niveau (getParent() == null), sinon on a getLevel() ==
     * getParent().getLevel() + 1
     */
    public int getLevel();

    public Labels getLabels();

}
