/* FichothequeLib_Tools - Copyright (c) 2015-2018 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.tools.parsers.croisement;

import java.text.ParseException;
import net.fichotheque.SubsetKey;
import net.fichotheque.include.IncludeKey;


/**
 *
 * @author Vincent Calame
 */
public class SubtokenParameter {

    private final String paramName;
    private final IncludeKey includeKey;
    private final String subname;

    public SubtokenParameter(String paramName, IncludeKey includeKey, String subname) {
        this.paramName = paramName;
        this.includeKey = includeKey;
        this.subname = subname;
    }

    public String getParamName() {
        return paramName;
    }

    public IncludeKey getIncludeKey() {
        return includeKey;
    }

    public String getSubname() {
        return subname;
    }

    public static SubtokenParameter check(String paramName) {
        int idx = paramName.indexOf(':');
        if (idx == -1) {
            return null;
        }
        try {
            IncludeKey includeKey = IncludeKey.parse(paramName.substring(0, idx));
            SubsetKey subsetKey = includeKey.getSubsetKey();
            String subname = paramName.substring(idx + 1);
            if (subname.length() == 0) {
                return null;
            }
            return new SubtokenParameter(paramName, includeKey, subname);
        } catch (ParseException pe) {
            return null;
        }
    }

}
