/* UtilLib - Copyright (c) 2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.localisation;


/**
 *
 * @author Vincent Calame
 */
public interface MessageLocalisationProvider {

    /**
     * Retourne l'instance de MessageLocalisation à utiliser pour la traduction
     * des clés de localisation en fonction des préférences de langues
     * indiquées.
     */
    public MessageLocalisation getMessageLocalisation(LangPreference langPreference);

    /**
     * Retourne l'instance de MessageLocalisation à utiliser pour la traduction
     * des clés de localisation en fonction de la langue indiquée.
     */
    public MessageLocalisation getMessageLocalisation(Lang lang);

}
